png::end_info Class Reference

Internal class to hold PNG ending info. More...

`#include <end_info.hpp>`

Inheritance diagram for png::end_info:

## Public Member Functions

| end_info (io_base &io, png_struct *png)
void | destroy ()
void | read ()
void | write () const
Public Member Functions inherited from png::info_base
| info_base (io_base &io, png_struct *png)
png_info * | get_png_info () const
png_info ** | get_png_info_ptr ()

## Additional Inherited Members

Protected Attributes inherited from png::info_base
io_base & | m_io
png_struct * | m_png
png_info * | m_info

## Detailed Description

Internal class to hold PNG ending info.

See also
  info, info_base

## Constructor & Destructor Documentation

png::end_info::end_info | ( | io_base & | io,
|  | png_struct * | png
| ) |  |

inline

## Member Function Documentation

void png::end_info::destroy | ( |  | ) |

inline

References png::info_base::m_info, and png::info_base::m_png.

Referenced by png::writer< ostream >::~writer().

void png::end_info::read | ( |  | ) |

inline

References png::info_base::m_info, and png::info_base::m_png.

Referenced by png::reader< istream >::read_end_info().

void png::end_info::write | ( |  | ) | const

inline

References png::info_base::m_info, and png::info_base::m_png.

Referenced by png::writer< ostream >::write_end_info().

The documentation for this class was generated from the following file:

- end_info.hpp